Subject: bug#9939: Problems with the SIZE description in man pages for <ls> and <du>

From: Jim Meyering <[email-masked]>
Date: Thu, 10 Nov 2011 20:04:50 +0100

abdallah clark wrote:

> Dear Paul and others:
>
> Thank you for your suggestions, but not only are you not realizing
> what it means to be a newbie, you have also missed the point of my
> communication. Not only patience but also the consideration of others
> new to Linux ought to be in play.
>
> The SIZE notation is confusing and I have no idea how to "fix" it,
> since I do not understand what was intended and none of you have
> explained that. Instead, you have launched into a flurry of
> complications that do not help resolve that issue. I am not playing
> games with anyone. It is not my job to do more than report bugs or
> other problems, as the man pages indicate.
>
> Your earlier comment about the MB or M or MiB was a circular argument
> as well. If M equals MiB, then UNIX/Linux is not applying the
> conventions.
>
> If you cannot clarify something that is already written and cannot
> refer me to any material, anywhere that will clarify what the SIZE
> paragraph is saying, then please do not attempt to assign to me the
> task of rewriting the SIZE paragraph or any other part of the <man ls>
> material. That is a task for an intermediate or advanced user, not a
> newbie.

If you are trying to understand how the tool works, a good first step
would be to read the complete manual mentioned at the bottom of the man page:

  SEE ALSO
     The full documentation for ls is maintained as a  Texinfo  manual.  If
     the info and ls programs are properly installed at your site, the command

        info coreutils 'ls invocation'

     should give you access to the complete manual.

ls --help output (from which the man page is derived) is intended solely
as a minimal quick reference.